[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: gcc 2.8.0 problems

On Mon, Jan 26, 1998 at 10:57:52AM +0100, Michael Meskes wrote:
> jdassen@wi.leidenuniv.nl writes:
> > I reported this as #17307: cpp no longer does recursive macro expansions.
> > For now, perhaps the best solution is to install a pre-2.8.0 cpp with
> > --force-depends.
> So is this a bug in Imake or in cpp?

I don't know; I suspect cpp (there have been some changes to cpp according
to the NEWS file; I'm currently trying to understand them).

> > > Also makedepend doesn't seem to work anymore. It doesn't find include
> > > files under /usr/lib/gcc-lib/i486-linux/2.8.0/include.
> > 
> > I'm not familiar with makedepend. Can you strace it to see whether it is
> > perhaps calling cpp?
> No, it doesn't seem to do that. Could it be that it has the paths hardcoded?
> This seems kind of strange since I never experienced this problem during
> other gcc upgrades.

penguin ray 11:05 /tmp> strings `which makedepend` | grep gcc

Looks hardcoded to me. Please file a bug.

PATRIOTISM  A great British writer once said that if he had to choose 
between betraying his country and betraying a friend he hoped he would
have the decency to betray his country.                                      
- The Hipcrime Vocab by Chad C. Mulligan 

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: